unit untPrincipal;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Menus;

type
  TfrmPrincipal = class(TForm)
    MainMenu1: TMainMenu;
    Cadastro1: TMenuItem;
    Equipamentos1: TMenuItem;
    EquipamentosOffline1: TMenuItem;
    procedure Equipamentos1Click(Sender: TObject);
    procedure EquipamentosOffline1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmPrincipal: TfrmPrincipal;

implementation

uses untCadEquip, untDM;

{$R *.dfm}

procedure TfrmPrincipal.Equipamentos1Click(Sender: TObject);
begin
  try
    //cria em memria o formulrio e a seguir o exibe -> declarar unit untCadEquip em uses
    Application.CreateForm(TfrmCadEquip, frmCadEquip);

    //passa ao formulrio o cdsEquip, como o DataSet a ser usado -> declarar unit untDM em uses
    frmCadEquip.DataSetEquip:= DM.cdsEquip;

    //indica que sero salvos dados diretamente no banco de dados
    frmCadEquip.ModoOff:= False;

    frmCadEquip.ShowModal;
  finally
    //libera da memria
    FreeAndNil(frmCadEquip);
  end;
end;

procedure TfrmPrincipal.EquipamentosOffline1Click(Sender: TObject);
begin
  try
    //cria em memria o formulrio e a seguir o exibe -> declarar unit untCadEquip em uses
    Application.CreateForm(TfrmCadEquip, frmCadEquip);

    //passa ao formulrio o cdsTempEquip, como o DataSet a ser usado -> declarar unit untDM em uses
    frmCadEquip.DataSetEquip:= DM.cdsTempEquip;

    //indica que no sero salvos dados diretamente no banco de dados
    frmCadEquip.ModoOff:= True;

    frmCadEquip.ShowModal;
  finally
    //libera da memria
    FreeAndNil(frmCadEquip);
  end;
end;

end.
