unit Unit3;

interface

uses
  SysUtils, Classes, WideStrings, DB, SqlExpr, FMTBcd, DBClient, Provider, TBODbxDynalink,
  RpCon, RpConDS, RpDefine, RpRave;

type
  TDM = class(TDataModule)
    SQLConnection1: TSQLConnection;
    SQLDataSet1: TSQLDataSet;
    DataSetProvider1: TDataSetProvider;
    cdsConsulta: TClientDataSet;
    cdsConsultaID_PARCELA: TIntegerField;
    cdsConsultaNR_CONTRATO: TStringField;
    cdsConsultaCLIENTE: TStringField;
    cdsConsultaNR_PARCELA: TIntegerField;
    cdsConsultaDATA_VENCIMENTO: TDateField;
    cdsConsultaVALOR_PARCELA: TFMTBCDField;
    cdsConsultaPAGO: TStringField;
    RvProject1: TRvProject;
    RvDataSetConnection1: TRvDataSetConnection;
    SQLDataSet2: TSQLDataSet;
    DataSetProvider2: TDataSetProvider;
    ClientDataSet1: TClientDataSet;
    IntegerField1: TIntegerField;
    StringField1: TStringField;
    StringField2: TStringField;
    IntegerField2: TIntegerField;
    DateField1: TDateField;
    FMTBCDField1: TFMTBCDField;
    StringField3: TStringField;
    RvDataSetConnection2: TRvDataSetConnection;
    procedure cdsConsultaPAGOGetText(Sender: TField; var Text: string;
      DisplayText: Boolean);
    procedure RvDataSetConnection1ValidateRow(Connection: TRvCustomConnection;
      var ValidRow: Boolean);
    procedure StringField3GetText(Sender: TField; var Text: string;
      DisplayText: Boolean);
    procedure RvDataSetConnection2ValidateRow(Connection: TRvCustomConnection;
      var ValidRow: Boolean);
  private
    { Private declarations }
  public
    iIndex: integer;
    { Public declarations }
    procedure Filtrar (dtInicio, dtFim: TDateTime);
  end;

var
  DM: TDM;

implementation

uses ufrmSelecionar;

{$R *.dfm}

{ TDM }

procedure TDM.cdsConsultaPAGOGetText(Sender: TField; var Text: string;
  DisplayText: Boolean);
begin
  if Sender.AsString = 'T' then
    Text := 'Sim'
  else if Sender.AsString = 'F' then
    Text := 'No';
end;

procedure TDM.Filtrar(dtInicio, dtFim: TDateTime);
begin
  cdsConsulta.Close;
  cdsConsulta.Params[0].AsDate := dtInicio;
  cdsConsulta.Params[1].AsDate := dtFim;
  cdsConsulta.Open;
end;

procedure TDM.RvDataSetConnection1ValidateRow(Connection: TRvCustomConnection;
  var ValidRow: Boolean);
begin
   case iIndex of
     0: ValidRow := cdsConsultaPAGO.AsString = 'T';
     1: ValidRow := cdsConsultaPAGO.AsString = 'F';
     2: ValidRow := (cdsConsultaPAGO.AsString = 'F') and (cdsConsultaDATA_VENCIMENTO.AsDateTime < Date);
     3: ValidRow := (cdsConsultaPAGO.AsString = 'F') and (cdsConsultaDATA_VENCIMENTO.AsDateTime > Date);
   end;
end;

procedure TDM.RvDataSetConnection2ValidateRow(Connection: TRvCustomConnection;
  var ValidRow: Boolean);
begin
  ValidRow := frmSelecionar.DBGrid1.SelectedRows.CurrentRowSelected;
end;

procedure TDM.StringField3GetText(Sender: TField; var Text: string;
  DisplayText: Boolean);
begin
  if Sender.AsString = 'T' then
    Text := 'Sim'
  else if Sender.AsString = 'F' then
    Text := 'No';
end;

end.
